org.apache.sling.launchpad.api

## Enum StartupMode

- java.lang.Object
- - java.lang.Enum<StartupMode>
  - - org.apache.sling.launchpad.api.StartupMode

All Implemented Interfaces:
  Serializable, Comparable<StartupMode>

    public enum StartupMode
    extends Enum<StartupMode>

The `StartupMode` It distinguishes between an initial startup (INSTALL), an update (UPDATE) and a restart without a change (RESTART).

Since:
  1.1.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTALL`
`RESTART`
`UPDATE`

### Method Summary

Methods
`static StartupMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StartupMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTALL

    public static final StartupMode INSTALL

#### UPDATE

    public static final StartupMode UPDATE

#### RESTART

    public static final StartupMode RESTART

### Method Detail

#### values

    public static StartupMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StartupMode c : StartupMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StartupMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null